Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/test/test.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/test/test.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/test/test.component.ts	(revision 55964)
@@ -1,6 +1,5 @@
 import {Component, ElementRef} from '@angular/core';
-import { Subject } from 'rxjs/Subject';
-import {Observable}       from 'rxjs/Observable';
+import { Subject , Observable} from 'rxjs';
 
 import {SearchFields, FieldDetails} from '../utils/properties/searchFields';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchPaging.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchPaging.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchPaging.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, Output, EventEmitter} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import {ErrorCodes} from '../../utils/properties/errorCodes';
 
 @Component({
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectSubscriber.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectSubscriber.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectSubscriber.guard.ts	(revision 55964)
@@ -1,6 +1,8 @@
+
+import {filter, mergeMap} from 'rxjs/operators';
 import { Injectable } from '@angular/core';
 import {Router, CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, CanLoad, Route} from '@angular/router';
-import {Observable} from 'rxjs/Observable';
+import {Observable} from 'rxjs';
 import {Session} from '../../login/utils/helper.class';
 import {LoginErrorCodes} from '../../login/utils/guardHelper.class';
 import {CommunityService} from '../community/community.service';
@@ -8,7 +10,7 @@
 import {ConnectHelper} from '../connectHelper';
 
 @Injectable()
-export class ConnectSubscriberGuard implements CanActivate, CanLoad {
+export class ConnectSubscriberGuard implements CanActivate {
   constructor(private router: Router,
               private communityService: CommunityService,
               private propertiesService: EnvironmentSpecificService) {}
@@ -20,13 +22,13 @@
        this.router.navigate(['/user-info'], {queryParams: {'errorCode': errorCode, 'redirectUrl': path, communityId:community}});
        return false;
      } else {
-       const obs = this.propertiesService.subscribeEnvironment().mergeMap(properties => {
+       const obs = this.propertiesService.subscribeEnvironment().pipe(mergeMap(properties => {
          if(!community){
           community  = ConnectHelper.getCommunityFromDomain(properties.domain);
          }
          return this.communityService.isSubscribedToCommunity( community, Session.getUserEmail(), properties["adminToolsAPIURL"])
-       });
-       obs.filter(enabled => !enabled)
+       }));
+       obs.pipe(filter(enabled => !enabled))
            .subscribe(() => this.router.navigate(['/user-info'], {
              queryParams: {
                'errorCode': errorCode,
@@ -41,10 +43,5 @@
   canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | boolean {
     return this.check(route.queryParams['communityId'], state.url);
   }
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
-    const path = '/' + route.path + document.location.search;
-    return this.check(ConnectHelper.getCommunityFromPath(path), path);
 
-  }
-
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectCommunityGuard.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectCommunityGuard.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectCommunityGuard.guard.ts	(revision 55964)
@@ -1,3 +1,5 @@
+
+import {filter, mergeMap} from 'rxjs/operators';
 import { Injectable } from '@angular/core';
 import {
   Router,
@@ -7,13 +9,13 @@
   CanLoad,
   Route
 } from '@angular/router';
-import {Observable} from 'rxjs/Observable';
+import {Observable} from 'rxjs';
 import {CommunityService} from '../community/community.service';
 import { EnvironmentSpecificService} from '../../utils/properties/environment-specific.service';
 import {ConnectHelper} from '../connectHelper';
 
 @Injectable()
-export class ConnectCommunityGuard implements  CanActivate, CanLoad {
+export class ConnectCommunityGuard implements  CanActivate {
 
   constructor(private router: Router,
               private communityService: CommunityService,
@@ -21,10 +23,10 @@
   }
 
   check(community: string): Observable<boolean> | boolean {
-    const obs = this.propertiesService.subscribeEnvironment().mergeMap(properties => {
+    const obs = this.propertiesService.subscribeEnvironment().pipe(mergeMap(properties => {
       return this.communityService.isCommunityType(properties, properties['communityAPI'] + community);
-    });
-    obs.filter(enabled => !enabled)
+    }));
+    obs.pipe(filter(enabled => !enabled))
         .subscribe(() => this.router.navigate(['errorcommunity']));
     return obs;
   }
@@ -32,9 +34,4 @@
   canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | boolean {
     return this.check(route.queryParams['communityId']);
   }
-
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
-    const path = '/' + route.path + document.location.search;
-    return this.check(ConnectHelper.getCommunityFromPath(path));
-  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/userEmailPreferences/mailPrefs.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/userEmailPreferences/mailPrefs.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/userEmailPreferences/mailPrefs.service.ts	(revision 55964)
@@ -1,6 +1,7 @@
 import {Injectable} from '@angular/core';
 import {Http, RequestOptions, Headers, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 //import { HttpErrorResponse } from '@angular/common/http';
 
 import {EnvProperties} from '../../utils/properties/env-properties';
@@ -8,13 +9,13 @@
 
 @Injectable()
 export class MailPrefsService {
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     getUserEmailPreferencesForCommunity (communityId:string, apiUrl:string):any {
       let url = apiUrl +"users/notification"+"?communityId="+communityId;
 
       return this.http.get(url, CustomOptions.getAuthOptions())
-                      .map(request => <any> request.json())
+                      //.map(request => <any> request.json())
                       //.do(request => console.info("Get user email preferences for communityId= "+communityId ));
                       //.catch(this.handleError);
     }
@@ -23,13 +24,13 @@
       let url = apiUrl +"users/notification";
 
       //var error: HttpErrorResponse = new HttpErrorResponse({"error": {"code": 204}, "status" : 204}); // doesn't work
-      var response: Response = new Response({"body" : {"code":200, "data": []}, "status": 200, "headers": null, "url": "", "merge": null});
+      //var response: Response = new Response({"body" : {"code":200, "data": []}, "status": 200, "headers": null, "url": "", "merge": null});
 
       return this.http.get(url, CustomOptions.getAuthOptions())
                       //.timeoutWith(100, Observable.throw(response))   // goes to error
                       //.timeoutWith(100, Observable.of(response))      // goes to
                       //.do(request => console.info(request))
-                      .map(request => <any> request.json())
+                      //.map(request => <any> request.json())
                       //.do(request => console.info("Get user email preferences for OpenAIRE" ));
                       //.catch(this.handleError);
     }
@@ -39,18 +40,18 @@
 
       let body = JSON.stringify( notification );
       //console.warn('Json body:  : '+body);
-      let headers = new Headers({ 'Content-Type': 'application/json' });
-      let options = new RequestOptions({ headers: headers });
+      //let headers = new Headers({ 'Content-Type': 'application/json' });
+      //let options = new RequestOptions({ headers: headers });
       return this.http.post(url, body,  CustomOptions.getAuthOptionsWithBody())
-                            .map(res => res.json())
+                            //.map(res => res.json())
                             //.do(request => console.info("Insert Response:"+request.status) );
                             //.catch(this.handleError);
     }
 
-    private handleError (error: Response) {
+    private handleError (error: HttpErrorResponse) {
       // in a real world app, we may send the error to some remote logging infrastructure
       // instead of just logging it to the console
       console.log(error);
-      return Observable.throw(error  || 'Server error');
+      return throwError(error  || 'Server error');
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchPageTableView.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchPageTableView.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchPageTableView.component.ts	(revision 55964)
@@ -6,8 +6,7 @@
 import {ActivatedRoute, Router}                   from '@angular/router';
 import {Title, Meta}                      from '@angular/platform-browser';
 
-import {Observable}                       from 'rxjs/Observable';
-import {Subject}                          from 'rxjs/Subject';
+import {Observable, Subject}                       from 'rxjs';
 
 import {DataTableDirective }              from 'angular-datatables';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/dateFilter.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/dateFilter.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/dateFilter.component.ts	(revision 55964)
@@ -1,33 +1,68 @@
 import {Component, Input, Output, EventEmitter} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 
 import { Filter, Value, DateValue} from './searchHelperClasses.class';
 import {IMyOptions, IMyDateModel} from '../../utils/my-date-picker/interfaces/index';
 // import {IMyDateModel} from '../../../utils/my-date-picker/interfaces/my-date-model.interface';
 import {Dates} from '../../utils/string-utils.class';
+import {FormControl} from "@angular/forms";
+import {MatDatepickerInputEvent} from "@angular/material";
 
 @Component({
     selector: 'date-filter',
     template: `
 
-    <select *ngIf="dateValue.type!='range' "  name="{{'select_date_type'+filterId}}"    [(ngModel)]=dateValue.type >
+    <select *ngIf="dateValue && dateValue.type!='range' "  name="{{'select_date_type'+filterId}}"    [(ngModel)]=dateValue.type >
       <option *ngFor="let type of dateValue.types let i = index"  [value]="type" (click)="typeChanged(type)">{{dateValue.typesTitle[i]}}</option>
     </select>
-    <div *ngIf="dateValue.type=='range' " class="-row dateFilter" >
-
+    <div *ngIf="dateValue && dateValue.type=='range' ">
       <table class=" uk-table uk-table-responsive" >
-      <tr><td>
-      <select name="{{'select_date_type'+filterId}}"    [(ngModel)]=dateValue.type >
-        <option *ngFor="let type of dateValue.types let i = index"  [value]="type" (click)="typeChanged(type)">{{dateValue.typesTitle[i]}}</option>
-      </select></td>
-      <td>
-          From</td><td  style="width: 112px;"><my-date-picker name="from" [options]="myDatePickerOptions"
-                    [(ngModel)]="from" (dateChanged)="onFromDateChanged($event)" ></my-date-picker>
-      </td> <td>
-            To </td><td  style="width: 112px;">     <my-date-picker name="to" [options]="myDatePickerOptions"
-                            [(ngModel)]="to" (dateChanged)="onToDateChanged($event)" ></my-date-picker></td></tr>
+        <tr>
+          <td class="uk-padding-remove-top">
+            <select name="{{'select_date_type'+filterId}}"    [(ngModel)]=dateValue.type >
+              <option *ngFor="let type of dateValue.types let i = index"  [value]="type" (click)="typeChanged(type)">{{dateValue.typesTitle[i]}}</option>
+            </select>
+          </td>
+          <td>
+            From
+          </td>
+          <td class="uk-padding-remove-top" style="width: 112px;">
+            <mat-form-field style="max-width: 112px;">
+              <input matInput [matDatepicker]="pickerFrom" placeholder="Choose a date" 
+                     [formControl]="fromDate" (click)="pickerFrom.open()" (dateChange)="fromDateChanged($event)">
+              <mat-datepicker-toggle matSuffix [for]="pickerFrom"></mat-datepicker-toggle>
+              <mat-datepicker #pickerFrom></mat-datepicker>
+            </mat-form-field>
+          </td>
+          <td>
+            To 
+          </td>
+          <td class="uk-padding-remove-top" style="width: 112px;">
+            <mat-form-field style="max-width: 112px;">
+              <input matInput [matDatepicker]="pickerTo" placeholder="Choose a date" 
+                     [formControl]="toDate" (click)="pickerTo.open()" (dateChange)="toDateChanged($event)">
+              <mat-datepicker-toggle matSuffix [for]="pickerTo"></mat-datepicker-toggle>
+              <mat-datepicker #pickerTo></mat-datepicker>
+            </mat-form-field>
+          </td>
+        </tr>
       </table>
-     </div>
+    </div>
+<!--    <div *ngIf="dateValue.type=='range' " class="-row dateFilter" >-->
+
+<!--      <table class=" uk-table uk-table-responsive" >-->
+<!--      <tr><td>-->
+<!--      <select name="{{'select_date_type'+filterId}}"    [(ngModel)]=dateValue.type >-->
+<!--        <option *ngFor="let type of dateValue.types let i = index"  [value]="type" (click)="typeChanged(type)">{{dateValue.typesTitle[i]}}</option>-->
+<!--      </select></td>-->
+<!--      <td>-->
+<!--          From</td><td  style="width: 112px;"><my-date-picker name="from" [options]="myDatePickerOptions"-->
+<!--                    [(ngModel)]="from" (dateChanged)="onFromDateChanged($event)" ></my-date-picker>-->
+<!--      </td> <td>-->
+<!--            To </td><td  style="width: 112px;">     <my-date-picker name="to" [options]="myDatePickerOptions"-->
+<!--                            [(ngModel)]="to" (dateChanged)="onToDateChanged($event)" ></my-date-picker></td></tr>-->
+<!--      </table>-->
+<!--     </div>-->
     `
 
 })
@@ -52,13 +87,23 @@
       // Initialized to specific date (09.10.2018).
       public from;//: Object = { date: { year: 2018, month: 10, day: 9 } };
       public to;//: Object = { date: { year: 2018, month: 10, day: 9 } };
+      public fromDate;
+      public toDate;
 
 constructor() {
+  //this.updateDefaultRangeDates(this.dateValue.from,this.dateValue.to);
+}
+
+ngOnInit() {
   this.updateDefaultRangeDates(this.dateValue.from,this.dateValue.to);
 }
 updateDefaultRangeDates(df:Date,dt:Date){
-    this.from = { date: { year: df.getFullYear(), month: (df.getMonth()+1), day: df.getDate() } };
-    this.to = { date: { year: dt.getFullYear(), month: (dt.getMonth()+1), day: dt.getDate() } };
+    df.setMonth(df.getMonth()-1);
+    this.fromDate = new FormControl(df);
+    this.toDate = new FormControl(dt);
+
+    //this.from = { date: { year: df.getFullYear(), month: (df.getMonth()+1), day: df.getDate() } };
+    //this.to = { date: { year: dt.getFullYear(), month: (dt.getMonth()+1), day: dt.getDate() } };
   }
 typeChanged(type:string){
   this.dateValue.setDatesByType(type);
@@ -65,6 +110,7 @@
   this.updateDefaultRangeDates(this.dateValue.from, this.dateValue.to);
 }
 
+/*
 onFromDateChanged(event: IMyDateModel) {
   this.dateValue.from = Dates.getDateFromString(event.formatted);
   this.validDateFrom = true;
@@ -72,4 +118,16 @@
 onToDateChanged(event: IMyDateModel) {
   this.dateValue.to = Dates.getDateFromString(event.formatted);
   this.validDateTo = true;
-}}
+}
+*/
+
+fromDateChanged(event: MatDatepickerInputEvent<Date>) {
+  this.dateValue.from = event.value;
+  //console.info("FROM: "+Dates.getDateToString(this.dateValue.from));
+}
+
+toDateChanged(event: MatDatepickerInputEvent<Date>) {
+  this.dateValue.to = event.value;
+  //console.info("TO: "+Dates.getDateToString(this.dateValue.to));
+}
+}
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/error/isRouteEnabled.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/error/isRouteEnabled.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/error/isRouteEnabled.guard.ts	(revision 55964)
@@ -1,3 +1,7 @@
+
+import {of as observableOf, Observable} from 'rxjs';
+
+import {map, filter, mergeMap} from 'rxjs/operators';
 import { Injectable } from '@angular/core';
 import {
   Router,
@@ -7,14 +11,13 @@
   RouterStateSnapshot,
   Route, Data
 } from '@angular/router';
-import {Observable} from 'rxjs/Observable';
-import 'rxjs/add/operator/filter';
+
 import { ConfigurationService } from '../utils/configuration/configuration.service';
 import { EnvironmentSpecificService} from '../utils/properties/environment-specific.service';
 import {ConnectHelper} from '../connect/connectHelper';
 
 @Injectable()
-export class IsRouteEnabled implements CanActivate, CanLoad {
+export class IsRouteEnabled implements CanActivate {
 
   constructor(private router: Router,
               private config: ConfigurationService,
@@ -26,18 +29,18 @@
       community = data['community'];
     }
       const redirect = customRedirect ? customRedirect : '/error';
-      const obs = this.propertiesService.subscribeEnvironment().map(res => {
+      const obs = this.propertiesService.subscribeEnvironment().pipe(map(res => {
         if (!community) {
           community  = ConnectHelper.getCommunityFromDomain(res.domain);
         }
        return  res['adminToolsAPIURL'];
-      }).mergeMap(url => {
+      }),mergeMap(url => {
         if (!community) { // no community to check - return true
-          return Observable.of(true);
+          return observableOf(true);
         }
         return this.config.isPageEnabled(url, community, '/' + path.split('?')[0].substring(1));
-      });
-      obs.filter(enabled => !enabled)
+      }),);
+      obs.pipe(filter(enabled => !enabled))
           .subscribe(() => this.router.navigate([redirect], {queryParams: {'page': path}}));
       return obs;
   }
@@ -45,8 +48,4 @@
   canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | boolean {
     return this.check(route.data, route.queryParams['communityId'], state.url);
   }
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
-    const path = '/' + route.path + document.location.search;
-    return this.check(route.data, ConnectHelper.getCommunityFromPath(path), path);
-  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/community/community.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/community/community.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/community/community.service.ts	(revision 55964)
@@ -1,22 +1,33 @@
 import { Injectable } from '@angular/core';
 import { Http,  Headers, RequestOptions } from '@angular/http';
+import {HttpClient, HttpHeaders} from "@angular/common/http";
 import { CommunityInfo } from './communityInfo';
 import {EnvProperties} from '../../utils/properties/env-properties';
+import {map} from "rxjs/operators";
+import {COOKIE} from "../../login/utils/helper.class";
 
 @Injectable()
 export class CommunityService {
 
-    constructor(private http: Http) {
+    constructor(private http: HttpClient) {
       }
 
     getCommunity(properties: EnvProperties, url: string) {
         return this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
-                        .map(res => <any> res.json()).map(res => this.parseCommunity(res));
+                        //.map(res => <any> res.json())
+                        .pipe(map(res => this.parseCommunity(res)));
     }
 
     updateCommunity(url: string, community: any) {
-        const headers = new Headers({'Content-Type': 'application/json'});
-        const options = new RequestOptions({headers: headers});
+        //const headers = new Headers({'Content-Type': 'application/json'});
+        //const options = new RequestOptions({headers: headers});
+
+        const options = {
+          headers: new HttpHeaders({
+            'Content-Type': 'application/json',
+          })
+        };
+
         const body = JSON.stringify(community);
         return this.http.post(url, body, options);
                           /*.map(res => res.json())*/
@@ -24,32 +35,33 @@
 
     isCommunityManager(properties: EnvProperties, url: string, manager: string) {
       return this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
-                      .map(res => <any> res.json()).map(res =>
-              this.parseCommunity(res)).map(community => community.managers.indexOf(manager) !== -1);
+                      //.map(res => <any> res.json())
+                      .pipe(map(res => this.parseCommunity(res)))
+                      .pipe(map(community => community.managers.indexOf(manager) !== -1));
     }
 
     isRIType(properties: EnvProperties, url: string) {
       return this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
-          .map(res => <any> res.json()).map(res =>
-              this.parseCommunity(res)).map(community =>
-              (community && community.type && community.type === 'ri'));
+          //.map(res => <any> res.json())
+          .pipe(map(res => this.parseCommunity(res)))
+          .pipe(map(community => (community && community.type && community.type === 'ri')));
     }
 
     isCommunityType(properties: EnvProperties, url: string) {
         return this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
-            .map(res => <any> res.json()).map(res =>
-                this.parseCommunity(res)).map(community =>
-                (community && community.type && community.type === 'community'));
+            //.map(res => <any> res.json())
+            .pipe(map(res => this.parseCommunity(res)))
+            .pipe(map(community => (community && community.type && community.type === 'community')));
     }
 
     isSubscribedToCommunity(pid: string, email: string, url: string) {
       return this.http.get(url + '/community/' + pid + '/subscribers')
-                      .map(res =>  ((<any>res === '') ? {} : <any> res.json()))
-                      .map(res => {
-                        if (res.subscribers && res.subscribers != null) {
+                      //.map(res =>  ((<any>res === '') ? {} : <any> res.json()))
+                      .pipe(map(res => {
+                        if (res['subscribers'] && res['subscribers'] != null) {
 
-                          for (let i = 0; i < res.subscribers.length; i++ ) {
-                            if (res.subscribers[i] != null && res.subscribers[i].email === email) {
+                          for (let i = 0; i < res['subscribers'].length; i++ ) {
+                            if (res['subscribers'][i] != null && res['subscribers'][i].email === email) {
                               return true;
                             }
                           }
@@ -56,7 +68,7 @@
                         }
                         return false;
 
-                      });
+                      }));
     }
 
     private parseCommunity(data: any): CommunityInfo {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/isCommunity.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/isCommunity.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/isCommunity.guard.ts	(revision 55964)
@@ -4,10 +4,10 @@
   CanActivate,
   ActivatedRouteSnapshot,
   RouterStateSnapshot,
-  CanLoad, Route
+  CanLoad, Route, UrlSegment
 } from '@angular/router';
-import {Observable} from 'rxjs/Observable';
-import 'rxjs/add/operator/filter';
+import {Observable} from 'rxjs';
+
 import {ConnectHelper} from '../connectHelper';
 
 @Injectable()
@@ -29,7 +29,7 @@
     return this.check(route.queryParams['communityId']);
   }
 
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
+  canLoad(route: Route, segments: UrlSegment[]): Observable<boolean> | Promise<boolean> | boolean {
     const path = '/' + route.path + document.location.search;
     return this.check(ConnectHelper.getCommunityFromPath(path));
   }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/contentProviders/searchDataproviders.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/contentProviders/searchDataproviders.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/contentProviders/searchDataproviders.service.ts	(revision 55964)
@@ -1,15 +1,16 @@
 import {Injectable} from '@angular/core';
 import {Http} from '@angular/http';
+import {HttpClient} from "@angular/common/http";
 import{EnvProperties} from '../../utils/properties/env-properties';
 
 @Injectable()
 export class SearchCommunityDataprovidersService {
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchDataproviders (properties:EnvProperties, communityId: string):any {
         let url = properties.communityAPI+communityId+"/contentproviders";
 
-        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url);
+                    //.map(res => <any> res.json())
     }
 }
